Name:           squidclamav
Version:        7.3
Release:        2%{?dist}
Summary:        HTTP Antivirus for Squid based on ClamAv and the ICAP protocol
License:        GPL-3.0-or-later
URL:            https://squidclamav.darold.net/

Source0:        https://github.com/darold/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}-httpd.conf

BuildRequires:  bzip2-devel
BuildRequires:  c-icap-devel
BuildRequires:  gcc
BuildRequires:  libarchive-devel
BuildRequires:  make
BuildRequires:  zlib-devel

Requires:       c-icap
Requires:       squid

Requires:       httpd-filesystem

%description
SquidClamav is an antivirus for the Squid proxy based on the ICAP protocol and
the awards-winning ClamAv anti-virus toolkit. Using it will help you secure your
home or enterprise network web traffic. SquidClamav is the most efficient
antivirus tool for HTTP traffic available for free, it is written in C as a
c-icap service and can handle several thousands of connections at once.

%prep
%autosetup

%build
%configure \
  --disable-static \
  --enable-shared \
  --with-c-icap \
  --with-libarchive

%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

rm -rf %{buildroot}%{_datadir}/%{name}

rm -f %{buildroot}%{_sysconfdir}/c-icap/*.default

%files
%license COPYING
%doc AUTHORS ChangeLog README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-icap/%{name}.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%{_datadir}/c_icap/templates/squidclamav/
%{_libdir}/c_icap/*.so
%{_libexecdir}/%{name}/
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Apr 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.3-2
- rebase to add ocs macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.3-1
- initial build
